grml-x (0.8.2) unstable; urgency=medium

  * [4c49377] Makefile: remove scp leftovers

 -- Chris Hofstaedtler <ch@grml.org>  Tue, 04 Mar 2025 23:29:49 +0100

grml-x (0.8.1) unstable; urgency=medium

  * [a4a183c] Use dh sequencer to build
  * [ccc7ae2] Install zsh completion into grml-neutral directory
  * [9851de3] Install xorg.conf.example into /usr/share/doc/grml-x/examples/
  * [bbefbe0] Update debian/copyright

 -- Chris Hofstaedtler <ch@grml.org>  Mon, 06 Jan 2025 00:17:26 +0100

grml-x (0.8.0) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * [a840380] debian: update Vcs-Git and Vcs-Browser

  [ Michael Prokop ]
  * [e33818b] d/control: Bump Standards-Version to 4.7.0
  * [821abd9] d/control: bump compat version to 13 via debhelper-compat +
    drop debian/compat
  * [6d19bc6] Ship debian/gbp.conf for gbp usage

 -- Michael Prokop <mika@grml.org>  Fri, 22 Nov 2024 17:53:24 +0100

grml-x (0.7.2) unstable; urgency=medium

  * [db26b12] Fix tempfile.NamedTemporaryFile usage under Python 3
  * [2289606] Do not fail if /etc/X11/xorg.conf already exists
  * [af8390f] Coding style: execute black + isort and integrate flake8,
    isort + black in build toolchain
  * [ac9f682] Fix flake8 issues

 -- Michael Prokop <mika@grml.org>  Tue, 07 Jul 2020 16:22:40 +0200

grml-x (0.7.1) unstable; urgency=medium

  * [a5b4674] Port to py3k
  * [b11539d] Bump Standards-Version to 4.4.1
  * [5e5a361] wrap-and-sort debian/

 -- Michael Prokop <mika@grml.org>  Tue, 22 Oct 2019 16:11:13 +0200

grml-x (0.7.0) unstable; urgency=medium

  * [d340f0c] Switch default mount point from /lib/live/mount/medium to
    /run/live/medium
  * [00df8d9] Bump Standards-Version to 4.3.0
  * [eae46d9] Bump debian/compat to 10 and adjust Build-Depends on
    debhelper accordingly
  * [e6330b9] Use https version for Homepage and Vcs-Browser headers

 -- Michael Prokop <mika@grml.org>  Thu, 21 Mar 2019 12:32:12 +0100

grml-x (0.6.8) unstable; urgency=low

  [ Evgeni Golov ]
  * [7933f6b] also look for bootparams in /lib/live/mount/medium
    [Closes: issue1239]

 -- Michael Prokop <mika@grml.org>  Mon, 18 Mar 2013 14:58:48 +0100

grml-x (0.6.7) unstable; urgency=low

  * [56f884e] + [aed317e] Depend on python instead of python2.7
    and use python in shebang

 -- Michael Prokop <mika@grml.org>  Sat, 26 Nov 2011 18:02:08 +0100

grml-x (0.6.6) unstable; urgency=low

  * [41e38b5] Add debian/control headers Origin, Bugs
  * [b6d6bbc] Remove stale grml-shlib dependency
  * [39de6de] Update to Standards-Version 3.9.2
  * [78bb7ee] Update Python dependency to version 2.7

 -- Christian Hofstaedtler <ch@grml.org>  Thu, 13 Oct 2011 22:08:34 +0200

grml-x (0.6.5) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [096d5d2] ignore spaces when scanning xinitrc for the wm
    [Closes: issue964]

 -- Michael Prokop <mika@grml.org>  Tue, 15 Feb 2011 11:10:17 +0100

grml-x (0.6.4) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [ca524b8] Explicitly use python2.6 [Closes: issue946]

 -- Michael Prokop <mika@grml.org>  Tue, 14 Dec 2010 10:47:52 +0100

grml-x (0.6.3) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [25953d4] don't crash with multiple = per option in /proc/cmdline

 -- Michael Prokop <mika@grml.org>  Tue, 07 Dec 2010 12:50:24 +0100

grml-x (0.6.2) unstable; urgency=low

  * [82e874e] fix crash with --mode
  * [be5b1ee] fix man page examples
  * [72c7d74] only warn if running as root when starting X
  * [7b5291c] documentation fixes

 -- Christian Hofstaedtler <ch@grml.org>  Thu, 02 Dec 2010 23:05:06 +0100

grml-x (0.6.1) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [ec62a14] don't ship outdated example configs for VirtualBox/VMware
  * [2246619] update xorg.conf.example

 -- Michael Prokop <mika@grml.org>  Fri, 26 Nov 2010 22:53:03 +0100

grml-x (0.6.0) unstable; urgency=low

  [ Christian Hofstaedtler ]
  * [c1f728d & more ] Rewrite grml-x. [Testing issue907]
  * [24fe847] drop old Depends, downgrade grml-etc-core to Recommends

  [ Michael Prokop ]
  * [36be83b] Fix Build-Depends-Indep on docbook-xsl.
  * [dd84658] Bump Standards-Version to 3.9.1.

 -- Michael Prokop <mika@grml.org>  Sat, 20 Nov 2010 02:19:45 +0100

grml-x (0.5.2) unstable; urgency=low

  [ Michael Stapelberg ]
  * [7800fec] Add i3 to window managers.

  [ Michael Prokop ]
  * [c7c4d1d] Bump Standard-Version to 3.9.0.

 -- Michael Prokop <mika@grml.org>  Wed, 30 Jun 2010 13:30:17 +0200

grml-x (0.5.1) unstable; urgency=low

  * Drop duplicated fluxbox command line in usage examples
    (thanks to Thomas Arendsen Hein) and drop the "Report bugs"
    lines.

 -- Michael Prokop <mika@grml.org>  Thu, 01 Apr 2010 16:26:48 +0200

grml-x (0.5.0) unstable; urgency=low

  * Use startlxde instead of lxsession for zsh completion.
    (See #570083 for details)
  * Bump Standards-Version to 3.8.4 (no further changes).

 -- Michael Prokop <mika@grml.org>  Wed, 17 Feb 2010 02:39:26 +0100

grml-x (0.4.9) unstable; urgency=low

  * Add xserver-xorg-input-kbd to Recommends.

 -- Michael Prokop <mika@grml.org>  Sun, 10 Jan 2010 21:43:43 +0100

grml-x (0.4.8) unstable; urgency=low

  * Add xserver-xorg-input-all + xserver-xorg-video-all to Recommends.

 -- Michael Prokop <mika@grml.org>  Sat, 09 Jan 2010 02:48:23 +0100

grml-x (0.4.7) unstable; urgency=low

  * xorg.conf.virtualbox: deactivate all Options from "Generic Mouse"
    so mouse clicking works in recent X.org versions again.
    [Closes: issue740]
  * Deactivate type1 and freetype module in all xorg.conf files (they
    aren't present on nowadays systems).
  * Bump Standards-Version to 3.8.3 (no further changes).

 -- Michael Prokop <mika@grml.org>  Sun, 18 Oct 2009 15:21:54 +0200

grml-x (0.4.6) unstable; urgency=low

  * Add x-window-manager to zsh completion. [Closes: issue716]

 -- Michael Prokop <mika@grml.org>  Mon, 10 Aug 2009 16:04:02 +0200

grml-x (0.4.5) unstable; urgency=low

  * Move zsh completion file to /usr/share/grml/zsh/completion/grml/_grml-x
    as introduced by grml-etc-core 0.3.73.
  * Add lxsession and xfce4-session to zsh completion.

 -- Michael Prokop <mika@grml.org>  Wed, 22 Jul 2009 23:30:27 +0200

grml-x (0.4.4) unstable; urgency=low

  * Add Option "AutoAddDevices" "off", as we do not want to depend on
    running dbus/hal. See http://wiki.debian.org/XStrikeForce/InputHotplugGuide
  * Depend on debhelper (>= 5) and bump compat version to 5.

 -- Michael Prokop <mika@grml.org>  Mon, 20 Apr 2009 13:19:30 +0200

grml-x (0.4.3) unstable; urgency=low

  * Use Option "DontZap" "false" by default, now as DontZap has become
    a default option. See https://wiki.ubuntu.com/X/Config/DontZap

 -- Michael Prokop <mika@grml.org>  Sun, 19 Apr 2009 23:45:20 +0200

grml-x (0.4.2) unstable; urgency=low

  * Improve zsh completion:
    - use double brackets for the test command
    - make sure the right usage text gets displayed
    - support fallback options
    - improve description of force option
    Thanks to ft and z3ttacht for their work! [Closes: issue398]
  * Use Build-Depends-Indep in debian/control to make lintian happy.
  * Consequently use mktemp for handling tmp files.
  * Use fluxbox for all usage examples in grml-x itself (on grml-medium
    we ship fluxbox only and people might be confused otherwise).

 -- Michael Prokop <mika@grml.org>  Thu, 12 Feb 2009 18:10:53 +0100

grml-x (0.4.1) unstable; urgency=low

  * Do not display usage information when using the -nostart option.
    Thanks to Thomas Lehmann for the idea.
  * Update VCS headers.
  * Bump Standard-Version to 3.8.0 (no further changes).
  * Replace deprecated xbase-clients in Depends with x11-xkb-utils,
    x11-xserver-utils, xauth and xinit.
  * Add x11-utils to Recommends.

 -- Michael Prokop <mika@grml.org>  Wed, 19 Nov 2008 00:11:02 +0100

grml-x (0.4.0) unstable; urgency=low

  * Provide /etc/X11/xorg.conf.virtualbox
  * Bump Standard-Version to 3.7.3 (no further changes).

 -- Michael Prokop <mika@grml.org>  Thu, 27 Dec 2007 23:43:58 +0100

grml-x (0.3.37) unstable; urgency=low

  * Replace EmulateMiddleButtonTime with EmulateMidButtonTime.
    Thanks, Jerome Potts!
  * Make sure /etc/X11/X is not a symlink to /bin/true (broken
    Debian package/upgrade).
  * Fix manpage handling of xsltproc.

 -- Michael Prokop <mika@grml.org>  Sun, 18 Nov 2007 23:51:43 +0100

grml-x (0.3.36) unstable; urgency=low

  * Disable vmmouse in xorg.conf.vmware for now as it's broken
    currently in Debian/unstable. [Testing: issue339]
  * Include particleman in window manager completion of zsh.

 -- Michael Prokop <mika@grml.org>  Sat, 17 Nov 2007 18:59:31 +0100

grml-x (0.3.35) unstable; urgency=low

  * Deactivate "AlwaysCore" from Synaptics devive by default.
    This should fix a pending bug in current Xorg which avoids a working
    Synaptics device.
  * Load "xtrap" extension. 

 -- Michael Prokop <mika@grml.org>  Wed, 14 Nov 2007 12:41:28 +0100

grml-x (0.3.34) unstable; urgency=low

  * Add awesome, larswm and xmonad to zsh completion.

 -- Michael Prokop <mika@grml.org>  Mon, 05 Nov 2007 23:28:42 +0100

grml-x (0.3.33) unstable; urgency=low

  * Replace /usr/X11R6/lib/ with /usr/lib/xorg in the comments.
    Thanks for the patch, Alexander Steinböck! [Closes: issue325]

 -- Michael Prokop <mika@grml.org>  Sun, 04 Nov 2007 23:40:37 +0100

grml-x (0.3.32) unstable; urgency=low

  * Add two more checks to bailout if a tempfile isn't available.

 -- Michael Prokop <mika@grml.org>  Sun, 28 Oct 2007 01:40:13 +0200

grml-x (0.3.31) unstable; urgency=low

  * Check for writeable /tmp before executing hardware detection.

 -- Michael Prokop <mika@grml.org>  Tue,  4 Sep 2007 12:51:22 +0200

grml-x (0.3.30) unstable; urgency=low

  * Some further error handling regarding Xinerama.
    We still don't have a reliable way to find the maximum resolution
    of an external monitor, needs some further investigation.

 -- Michael Prokop <mika@grml.org>  Sat, 28 Jul 2007 01:20:54 +0200

grml-x (0.3.29) unstable; urgency=low

  * Mention http://wiki.debian.org/XStrikeForce/FAQ in the xorg.conf
    header.

 -- Michael Prokop <mika@grml.org>  Tue, 17 Jul 2007 16:24:11 +0200

grml-x (0.3.28) unstable; urgency=low

  * Initial support for Xinemera setup using -xinerama option.
    Added 'bc' to Depends. [Testing: issue241]
  * Support activating composite extension on cmdline using
    the -composite option. (By default it's deactivated.)
  * Remove some blank lines in generated xorg.conf.
  * Switch from manually written nroff manpage to asciidoc
    instead. Adjusted Build-Depends therefore (asciidoc, xsltproc,
    docbook-xsl). The manual page is available online as well now:
    http://grml.org/grml-x/

 -- Michael Prokop <mika@grml.org>  Thu, 12 Jul 2007 01:20:52 +0200

grml-x (0.3.27) unstable; urgency=low

  * /etc/zsh/completion.d/_grml-x: support openbox

 -- Michael Prokop <mika@grml.org>  Tue, 10 Jul 2007 16:31:52 +0200

grml-x (0.3.26) unstable; urgency=low

  * Added some more comments to the X modules.

 -- Michael Prokop <mika@grml.org>  Wed, 06 Jun 2007 13:02:18 +0200

grml-x (0.3.25) unstable; urgency=low

  * Drop -xserver option from zsh completion as it's not supported
    anymore (X.org is available on any Debian system now :)).

 -- Michael Prokop <mika@grml.org>  Sun, 27 May 2007 21:54:37 +0200

grml-x (0.3.24) unstable; urgency=low

  * Update /etc/X11/xorg.conf.vmware, allowing higher resolutions
    by default and use evdev.

 -- Michael Prokop <mika@grml.org>  Sun,  6 May 2007 16:27:34 +0200

grml-x (0.3.23) unstable; urgency=low

  * Add grml-shlib to depends as we use one function from
    /etc/grml/sh-lib.

 -- Michael Prokop <mika@grml.org>  Fri, 27 Apr 2007 01:32:15 +0200

grml-x (0.3.22) unstable; urgency=low

  * Updated zsh completion for grml-x. Thanks, ft!

 -- Michael Prokop <mika@grml.org>  Tue, 17 Apr 2007 09:15:38 +0200

grml-x (0.3.21) unstable; urgency=low

  * Big rewrite of grml-x: heavy use of evdev. Thanks for idea
    to gebi! Now the options -nousb and -nops2 have been dropped
    and were replaced by -ps2 and -usb. More details in the manpage.

 -- Michael Prokop <mika@grml.org>  Wed,  4 Apr 2007 16:26:43 +0200

grml-x (0.3.20) unstable; urgency=low

  * Avoid presence of two CorePointers, disable the PS/2 entry then.
    [Testing: issue184]

 -- Michael Prokop <mika@grml.org>  Tue,  3 Apr 2007 21:20:21 +0200

grml-x (0.3.19) unstable; urgency=low

  * Mention package libgl1-mesa-dri in comments for DRI.

 -- Michael Prokop <mika@grml.org>  Sat, 31 Mar 2007 00:25:19 +0200

grml-x (0.3.18) unstable; urgency=low

  The 'I'm sure that many changes break anything'-release.

  * Big code cleanup. Removed several comments used inside
    xorg.conf. Dropped a lot from fontpath...
  * Check for fonts.dir inside "X11R6 backwards compatibilty
    font stuff", otherwise we use the old font patch always...
  * Use 'id -u' instead of $UID.
  * Use colors only if not booted with nocolor bootoption.
  * Work around the 'intel' driver problem [Closes: issue177]
  * Support fallback option [Closes: issue169]
  * Do not run hwinfo if not really necessary [Closes: issue168]
  * Check whether $WINDOWMANAGER is executable at all before using
    it in $XINITRC.

 -- Michael Prokop <mika@grml.org>  Mon, 26 Mar 2007 19:40:15 +0200

grml-x (0.3.17) unstable; urgency=low

  * Added xcursor-themes to recommends.

 -- Michael Prokop <mika@grml.org>  Sun, 18 Mar 2007 15:39:34 +0100

grml-x (0.3.16) unstable; urgency=low

  * Add xserver-xorg-input-vmmouse to recommends.
  * Change version schema from x.y-z to x.y.z.

 -- Michael Prokop <mika@grml.org>  Sun, 18 Mar 2007 14:57:35 +0100

grml-x (0.3-15) unstable; urgency=low

  * Add 'us' to XkbLayout no matter which language is detected.

 -- Michael Prokop <mika@grml.org>  Sat, 20 Jan 2007 10:43:04 +0100

grml-x (0.3-14) unstable; urgency=low

  * Use "Architecture: all" in debian/control to support architectures
    not running on x86 as well.
  * Bumb Standard Version to 3.7.2 (no further changes).
  * Remove configure stuff in debian/rules.

 -- Michael Prokop <mika@grml.org>  Sat, 11 Nov 2006 21:21:23 +0100

grml-x (0.3-13) unstable; urgency=low

  * Update /etc/X11/xorg.conf.vmware: use vmmouse.
  * grml-x: use /bin/zsh as intepreter

 -- Michael Prokop <mika@grml.org>  Thu, 26 Oct 2006 00:41:45 +0200

grml-x (0.3-12) unstable; urgency=low

  * Add gnome-session (but leave gnomesession as fallback option)
    to /etc/zsh/completion.d/grml-x.

 -- Michael Prokop <mika@grml.org>  Sat, 12 Aug 2006 10:26:22 +0200

grml-x (0.3-11) unstable; urgency=low

  * Take only one line from monitor parsed output. Thanks to Nico
    for help investigating the problem.

 -- Michael Prokop <mika@grml.org>  Sat,  5 Aug 2006 08:38:53 +0200

grml-x (0.3-10) unstable; urgency=low

  * Updated hsync/vsync documentation (thanks for hint, Martin
    Wuertele!) and improved usage information.

 -- Michael Prokop <mika@grml.org>  Thu, 27 Jul 2006 21:57:23 +0200

grml-x (0.3-9) unstable; urgency=low

  * Added dwm to /etc/zsh/completion.d/grml-x.

 -- Michael Prokop <mika@grml.org>  Fri, 21 Jul 2006 00:42:53 +0200

grml-x (0.3-8) unstable; urgency=low

  * Fixed missing whitespace in manpage, thx for info - Manuel Fuhr.
  * Updated header information of /etc/zsh/completion.d/grml-x.

 -- Michael Prokop <mika@grml.org>  Thu, 25 May 2006 13:09:52 +0200

grml-x (0.3-7) unstable; urgency=low

  * Removed old-grml-x.
  * Updated zsh completion:
    - adjusted module listing for new Xorg
    - dynamically create list of available window managers

 -- Michael Prokop <mika@grml.org>  Sun, 30 Apr 2006 13:35:18 +0200

grml-x (0.3-6) unstable; urgency=low

  * It's 1280x1024 and not 1200x1024, adjusted in usage example.
    Thanks for reporting, Gebi!

 -- Michael Prokop <mika@grml.org>  Fri, 21 Apr 2006 01:22:45 +0200

grml-x (0.3-5) unstable; urgency=low

  * Updated Xserver version recognition for Xorg 7.0.

 -- Michael Prokop <mika@grml.org>  Sat, 15 Apr 2006 13:16:58 +0200

grml-x (0.3-4) unstable; urgency=low

  * Deactivate RgbPath "/usr/X11R6/lib/X11/rgb" and
    ModulePath   "/usr/X11R6/lib/modules" for Xorg 7.0.
  * Updated URLs to Xorg 7.0.
  * Added (not activated) Option "MonitorLayout" "LVDS, CRT".
  * Removed all the ModeLine stuff.
  * Reworked list of modules which should be loaded.
    See #346408 for details.
  * Use FontPath /usr/share/fonts/X11/... instead of
    /usr/X11R6/lib/X11/fonts/... if directory
    /usr/share/fonts/X11 is present.

 -- Michael Prokop <mika@grml.org>  Thu, 13 Apr 2006 13:39:33 +0200

grml-x (0.3-3) unstable; urgency=low

  * Fixed typo in Suggests (xfonts-base-transcoded), thanks for
    hint, Hecka!

 -- Michael Prokop <mika@grml.org>  Mon, 10 Apr 2006 11:48:38 +0200

grml-x (0.3-2) unstable; urgency=low

  * Added deactivated 'Option "MonitorLayout" "LVDS"' to xorg.conf.

 -- Michael Prokop <mika@grml.org>  Fri,  7 Apr 2006 19:06:43 +0200

grml-x (0.3-1) unstable; urgency=low

  * New grml version.

 -- Michael Prokop <mika@grml.org>  Thu,  6 Apr 2006 16:22:49 +0200

grml-x (0.2-14) unstable; urgency=low

  * Updated /etc/X11/xorg.conf.vmware - don't use higher
    resolutions than 1024x768.

 -- Michael Prokop <mika@grml.org>  Thu, 23 Feb 2006 14:05:30 +0100

grml-x (0.2-13) unstable; urgency=low

  * Added evilwm to zsh completion.
  * Ship grml-x of grml 0.5 release as old-grml-x to be able to
    compare reliability.

 -- Michael Prokop <mika@grml.org>  Sun, 22 Jan 2006 00:50:21 +0100

grml-x (0.2-12) unstable; urgency=low

  * Mouse-detection requires root permissions. Fixed that.

 -- Michael Prokop <mika@grml.org>  Mon, 16 Jan 2006 11:43:17 +0100

grml-x (0.2-11) unstable; urgency=low

  * Updated /etc/X11/xorg.conf.example and /etc/X11/xorg.conf.vmware.

 -- Michael Prokop <mika@grml.org>  Sat, 14 Jan 2006 13:14:26 +0100

grml-x (0.2-10) unstable; urgency=low

  * Added several comments to xorg.conf.
  * Deactivated loading of speedo module as it got deprecated upstream,
    see http://wiki.x.org/wiki/DeprecatedInX11R7

 -- Michael Prokop <mika@grml.org>  Fri, 13 Jan 2006 23:00:55 +0100

grml-x (0.2-9) unstable; urgency=low

  * Updated manpage (added some details about implementation).
  * Added - not yet activated - '# Load evdev' to X config file.
  * Updated URL for xorg in X config file.

 -- Michael Prokop <mika@grml.org>  Fri, 13 Jan 2006 12:37:01 +0100

grml-x (0.2-8) unstable; urgency=low

  * Applied patch for "AlpsPS/2 ALPS GlidePoint" detection,
    thanks Timo Boettcher!

 -- Michael Prokop <mika@grml.org>  Tue, 10 Jan 2006 14:47:46 +0100

grml-x (0.2-7) unstable; urgency=low

  * Use vesa-module if hwinfo does not find anything and bootparam
    xmodule isn't specified either.

 -- Michael Prokop <mika@grml.org>  Sun,  1 Jan 2006 14:22:08 +0100

grml-x (0.2-6) unstable; urgency=low

  * Use new zsh completion mechanism via /etc/zsh/completion.d.

 -- Michael Prokop <mika@grml.org>  Sat, 10 Dec 2005 12:09:42 +0100

grml-x (0.2-5) unstable; urgency=low

  * Adjusted zsh-completion.

 -- Michael Prokop <mika@grml.org>  Tue,  6 Dec 2005 18:04:03 +0100

grml-x (0.2-4) unstable; urgency=low

  * Added options '-novref' and '-nohsync'.
  * Modified infotext (let's use 'Warning' instead of 'Error' as
    it does not fail).

 -- Michael Prokop <mika@grml.org>  Tue,  6 Dec 2005 14:56:58 +0100

grml-x (0.2-3) unstable; urgency=low

  * Lets' drop:

     InputDevice    "Synaptics" "CorePointer"

    and use:

     InputDevice    "Synaptics"  "AlwaysCore"

    instead.

 -- Michael Prokop <mika@grml.org>  Sat, 12 Nov 2005 22:59:16 +0100

grml-x (0.2-2) unstable; urgency=low

  * Updated zsh-completion (removed ion2).

 -- Michael Prokop <mika@grml.org>  Fri, 11 Nov 2005 00:46:43 +0100

grml-x (0.2-1) unstable; urgency=low

  * grml-x seems to be quite stable.
    Let's release version 0.2 for grml 0.5 therefore.

 -- Michael Prokop <mika@grml.org>  Sun, 23 Oct 2005 19:14:52 +0200

grml-x (0.1-24) unstable; urgency=low

  * Updated zsh-completion: added jwm, w9wm and windowlab to list
    of available window managers.

 -- Michael Prokop <mika@grml.org>  Sun,  9 Oct 2005 13:06:13 +0200

grml-x (0.1-23) unstable; urgency=low

  * Options -nousb and -nosynaptics don't require arguments, fixed
    zparseopts therefore.
  * Added /etc/X11/xorg.conf.vmware and /etc/X11/xorg.conf.example.
  * Added Options -nops2 (disable PS2/ mouse) and -genmouse (create
    generic mouse entry).
  * Added /etc/zsh/grml-x.completion and fixed some minor issues
    with parameter parsing.

 -- Michael Prokop <mika@grml.org>  Sat,  8 Oct 2005 23:07:18 +0200

grml-x (0.1-22) unstable; urgency=low

  * Added option '-nousb' so we can deactivate the default entry
    for /dev/input/mice (useful for example for VMware).

 -- Michael Prokop <mika@grml.org>  Wed,  5 Oct 2005 22:40:56 +0200

grml-x (0.1-21) unstable; urgency=low

  * Use /dev/input/mice instead of /dev/psaux for PS2-mouse.
    Should work nowadays as expected.

 -- Michael Prokop <mika@grml.org>  Wed,  5 Oct 2005 19:18:05 +0200

grml-x (0.1-20) unstable; urgency=low

  * Adjusted path for zsh.
  * Let's point $HWINFO to /usr/sbin/hwinfo.
  * Big update of debian/control: recommends, depends and suggests...

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 00:57:13 +0200

grml-x (0.1-19) unstable; urgency=low

  * Added sudo to depends.

 -- Michael Prokop <mika@grml.org>  Sat,  1 Oct 2005 00:37:18 +0200

grml-x (0.1-18) unstable; urgency=low

  * Do not set resolution modes by default. Let the X server
    deside which resolutions fits best.

 -- Michael Prokop <mika@grml.org>  Fri, 30 Sep 2005 16:47:37 +0200

grml-x (0.1-17) unstable; urgency=low

  * Improved ddc-handling and added option '-noddc':
    - by default ddc probing is used
    - if monitor does not support ddc, mode values are set
    - if option -noddc' is set, mode values are set

 -- Michael Prokop <mika@grml.org>  Fri, 30 Sep 2005 13:02:03 +0200

grml-x (0.1-16) unstable; urgency=low

  * Updated grml-x-manpage to fix mandb-parsing-problem:
    mandb: warning: /usr/share/man/man1/grml-x.1.gz: whatis parse for grml-x(1) failed

 -- Michael Prokop <mika@grml.org>  Sun, 25 Sep 2005 13:00:16 +0200

grml-x (0.1-15) unstable; urgency=low

  * Make sure the xconfig has the right permissions (root.root:644).

 -- Michael Prokop <mika@grml.org>  Sat, 24 Sep 2005 18:28:11 +0200

grml-x (0.1-14) unstable; urgency=low

  * Ok, we definitely need hsync and vsync on some computer.
    Therefore we now have a '-nosync'-option which deactivates
    hsync and vsync values.
  * Updated manpage (mention -nosync and -nosynaptics).

 -- Michael Prokop <mika@grml.org>  Thu, 22 Sep 2005 16:11:14 +0200

grml-x (0.1-13) unstable; urgency=low

  * Upps, conflicts with grml-scripts 0.4-4 and not 0.4.4.

 -- Michael Prokop <mika@grml.org>  Thu, 22 Sep 2005 14:20:17 +0200

grml-x (0.1-12) unstable; urgency=low

  * Bumbed Standards-Version to 3.6.2.
  * Added conflicts for grml-scripts <= 0.4.4.

 -- Michael Prokop <mika@grml.org>  Thu, 22 Sep 2005 14:10:28 +0200

grml-x (0.1-11) unstable; urgency=low

  * The "let's use X.org to detect present hardware support" release.
  * Don't use hsync/vsync settings if not provided manually.
  * Don't use Modes (1024x768 and so on) if not provided manually.

 -- Michael Prokop <mika@grml.org>  Thu, 22 Sep 2005 11:51:58 +0200

grml-x (0.1-10) unstable; urgency=low

  * Some fixes for being able to run 'grml-x' with root-permissions
    on harddisk installation.

 -- Michael Prokop <mika@grml.org>  Thu, 15 Sep 2005 17:46:35 +0200

grml-x (0.1-9) unstable; urgency=low

  * Added option '-nosynaptics' for disabling synaptics touchpad (but
    the touchpad itself should work anyway).
  * Some small improvements regarding informational output, added
    support for parsing '-h', -help' and '--help' as well.

 -- Michael Prokop <mika@grml.org>  Thu, 15 Sep 2005 12:57:54 +0200

grml-x (0.1-8) unstable; urgency=low

  * Removed /etc/X11/Xresources/ and /etc/X11/Xsession.d/.
  * Improved cleanup of tmp-files in grml-x.

 -- Michael Prokop <mika@grml.org>  Sun, 31 Jul 2005 11:42:56 +0200

grml-x (0.1-7) unstable; urgency=low

  * startx/xinit started with options like ':8' (set specific
    display) cause strange side effects on setup of fonts. :-/
    Therefore don't use $DISPLAY as default but use it only if
    specified via '-display #'.

 -- Michael Prokop <mika@grml.org>  Sat, 30 Jul 2005 12:05:51 +0200

grml-x (0.1-6) unstable; urgency=low

  * Updated manpage.
  * Updated control-file (added Recommends:).
  * Added README.Debian (provide info for Recommends:).

 -- Michael Prokop <mika@grml.org>  Tue, 19 Jul 2005 15:08:47 +0200

grml-x (0.1-5) unstable; urgency=low

  * Removed /usr/X11R6/lib/X11/xkb, should be fixed
    upstream now.

 -- Michael Prokop <mika@grml.org>  Wed, 13 Jul 2005 20:51:12 +0200

grml-x (0.1-4) unstable; urgency=low

  * Fixed problem with synaptic touchpad.

 -- Michael Prokop <mika@grml.org>  Sun, 10 Jul 2005 13:04:32 +0200

grml-x (0.1-3) unstable; urgency=low

  * Slightly improved copyright file.

 -- Michael Prokop <mika@grml.org>  Sun,  3 Jul 2005 17:09:57 +0200

grml-x (0.1-2) unstable; urgency=low

  * Added '-nodpms'-option so we are able to disable 'Display Power Management
    Signaling'.
  * Added example entry for elo touchscreen.
  * Fixed handling of '-xserver'-option.
  * Update manpage.
  * Don't ship /etc/init.d/xfree86-common anymore (let's trust on
    xorg-common or xfree86-common that they ship a working version).
  * Now we support startx-options via variable XOPTS, e.g.:
      XOPTS='-depth 16' grml-x fluxbox

 -- Michael Prokop <mika@grml.org>  Wed, 15 Jun 2005 12:58:37 +0200

grml-x (0.1-1) unstable; urgency=low

  * Initial release.

 -- Michael Prokop <mika@grml.org>  Mon, 23 May 2005 23:39:39 +0200

